%define name x11-driver-video-%{chipset}
%define chipset amd
%define snapshot 20070301
%define version 2.7.6.5
%define release %mkrel 0.%{snapshot}.1
%define distname xf86-video-%{chipset}-%{version}-%{snapshot}

Name: %{name}
Version: %{version}
Release: %{release}
Summary: The X.org driver for AMD Geode GX/LX
Group: System/X11
URL: http://xorg.freedesktop.org
# from git://anongit.freedesktop.org/git/xorg/driver/xf86-video-amd.git
Source: %{distname}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86}
BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros
BuildRequires: autoconf2.5

%description
The X.org driver for AMD Geode GX/LX
 
%prep
%setup -q -n %{distname}

%build
autoreconf -v --install
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/amd_drv.so
%{_libdir}/xorg/modules/drivers/amd_drv.la
%{_libdir}/xorg/modules/drivers/ztv_drv.so
%{_libdir}/xorg/modules/drivers/ztv_drv.la
%{_mandir}/man4/*.4.bz2


%changelog
* Wed Mar 14 2007 Olivier Blin <oblin@mandriva.com> 2.7.6.5-0.20070301.1mdv2007.1
+ Revision: 143299
- build for ix86 only (x86_64 is not supported)
- initial release
- Create x11-driver-video-amd

